Package Details: pcsxr-git 1.9.94.r1697.6484236c-2

Git Clone URL: https://aur.archlinux.org/pcsxr-git.git (read-only, click to copy)
Package Base: pcsxr-git
Description: A Sony PlayStation emulator based on the PCSX-df Project
Upstream URL: https://github.com/pcsxr/PCSX-Reloaded/tree/master/pcsxr
Licenses: GPL
Conflicts: pcsx-df, pcsxr
Provides: pcsxr
Replaces: pcsxr-svn
Submitter: alucryd
Maintainer: tallero
Last Packager: tallero
Votes: 46
Popularity: 0.117992
First Submitted: 2016-08-16 19:25
Last Updated: 2021-06-03 09:27

Dependencies (20)

Required by (0)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 ... Next › Last »

sl1pkn07 commented on 2016-12-25 15:40

https://git01.codeplex.com/pcsxr needs username/password for clone

Cloning into bare repository '/home/sl1pkn07/aplicaciones/pcsxr-git/pcsxr'...
Username for 'https://git01.codeplex.com':
Password for 'https://git01.codeplex.com':
fatal: Authentication failed for 'https://git01.codeplex.com/pcsxr/'

alucryd commented on 2016-08-16 19:28

Switched to using git.

ozgursarier commented on 2016-08-15 22:32

I think this package MUST be in official repos. Because it seams, the project isn't in continued development.
@alucryd: Please submit this package as a Trusted User.

alucryd commented on 2016-08-13 14:38

@aphirst: The codeplex repo has switched to git, I will upload a pcsxr-git package as soon as possible, tonight if I find the time.

aphirst commented on 2016-08-13 12:34

-> Cloning pcsxr svn repo...
svn: E170013: Unable to connect to a repository at URL 'https://pcsxr.svn.codeplex.com/svn/pcsxr'
svn: E175009: The XML response contains invalid XML
svn: E130003: Malformed XML: no element found

Seems this is still an issue, and that the PKGBUILD needs updating. alucryd, do you have chance to update this?

Joffrey commented on 2016-07-26 22:35

Thanks @ozgursarier perfect!
By cons, you should put your PKGBUILD on pastebin.

ozgursarier commented on 2016-07-26 21:54

Here is a working PKGBUILD uses svn over git mirror.
---------------------
# Maintainer: Maxime Gauduin <alucryd@archlinux.org>
# Contributor: Infy <eugene.yudin@gmail.com>

pkgname=pcsxr-svn
pkgver=1.9.93.r1623
pkgrel=1
pkgdesc='A Sony PlayStation emulator based on the PCSX-df Project'
arch=('i686' 'x86_64')
url='http://pcsxr.codeplex.com/'
license=('GPL')
depends=('gtk3' 'libarchive' 'libcdio' 'libxv' 'sdl2')
makedepends=('intltool' 'mesa' 'subversion')
[[ $CARCH == i686 ]] && makedepends+=('nasm')
provides=('pcsxr')
conflicts=('pcsxr' 'pcsx-df')
source=('svn+https://github.com/mirror/pcsxr.git')
sha256sums=('SKIP')

pkgver() {
cd pcsxr.git/trunk

printf "1.9.93.r%s" "$(svnversion)"
}

build() {
cd pcsxr.git/trunk

chmod +x autogen.sh
./autogen.sh \
--prefix='/usr' \
--enable-{libcdio,opengl}
make
}

package() {
cd pcsxr.git/trunk

make DESTDIR="${pkgdir}" install
}

---------------------

Joffrey commented on 2016-07-26 18:15

Hello, It's bloqued at :
-> Clonage du depot svn ...
The source isn't disponible ? Thanks.

eliluminado commented on 2016-05-10 16:48

Please, update revision version to 98062.

alucryd commented on 2014-08-02 17:07

stef312, I won't: https://wiki.archlinux.org/index.php/PKGBUILD#depends